# Rapport sur l'Exercice Noté RI : Récupération et Annotation de Documents

## Description 
Ce projet permet de récupérer, annoter et structurer des documents en français à partir de la base Europresse. Il se concentre sur le thème du patrimoine et de l'Alsace, et utilise des outils de TAL comme Spacy pour la REN et Yake pour l'extraction de mots-clés. Les documents sont convertis en XML et préparés pour une indexation avec Solr, offrant ainsi une solution efficace pour la recherche et l'analyse de textes annotés. Ce projet se distingue par l'amélioration du code HTML avant conversion et par un nettoyage approfondi des annotations.

## Description de la chaîne de traitement

Le travail a débuté par la récupération de documents sur Europresse. J'ai défini une requête axée sur le patrimoine et l'Alsace, en filtrant les résultats pour ne récupérer que des articles récents et en français. Après validation de la requête, j'ai collecté 1 000 documents pertinents.

Ensuite, j'ai amélioré le code HTML récupéré en utilisant le code prettify HTML (disponible dans le dossier script) pour le rendre plus lisible et propre. Une fois le HTML optimisé, j'ai converti les documents en XML afin de les rendre compatibles avec Solr, facilitant ainsi leur indexation grâce au code de conversion en XML (disponible dans le dossier script).

Ensuite, j'ai procédé à l'annotation des documents en utilisant l'outil Spacy pour la REN (disponible dans le dossier script). Il m'a permis d'extraire automatiquement des entités telles que des noms de personnes, lieux, ou organisations, que j'ai intégrées sous forme d'annotations dans les textes.

Une fois l'annotation effectuée, j'ai converti les documents en XML pour les rendre compatibles avec Solr, facilitant ainsi leur indexation. Les entités extraites ont été intégrées dans des balises XML spécifiques afin d'être utilisées pour le filtrage ou l'analyse lors des recherches dans Solr.

Enfin, j'ai nettoyé les erreurs générées par l'outil NER et les incohérences dans les annotations. Dans une étape supplémentaire, j'ai extrait les mots-clés des documents en utilisant Yake, un outil d'extraction de mots-clés. J'ai adapté le code Yake pour qu'il corresponde mieux aux besoins de l'exercice et amélioré les résultats en affinant le nettoyage des données (disponible dans le dossier script).

Les résultats obtenus sont contenus dans les fichiers fichiers_partie_i et fichiers_partie_ii, où l'on retrouve les 1 000 fichiers XML disponibles avec Solr, annotés de deux manières et nettoyés.